| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events | Private Member Functions | Private Attributes

# IG::Forms::WindowShiftControlText Class Reference

Control for setting window positions, relative positions, sizes, positions, shifts, etc. More...

Collaboration diagram for IG::Forms::WindowShiftControlText:
[legend]

List of all members.

## Public Member Functions
| WindowShiftControlText ()
## Protected Member Functions
void | OnValueChanged (object sender, EventArgs eventArgs)
| Triggers the ValueChanged event.
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Protected Attributes
vec2 | _shift = new vec2(0.0, 0.0)
double | _initialValueX
double | _initialValueY
double | _minValue
double | _maxValue
double | _increment
## Properties
string | Title`[get, set]`
| Title text that is written on the outer group box.
vec2 | Shift`[get, set]`
| Gets or sets the resulting shift stored in 2D vector structure of type vec2
double | InitialValueX`[get, set]`
| Initial value of the first component of Shift.
double | InitialValueY`[get, set]`
| Initial value of the second component of Shift.
double | MinimumValue`[get, set]`
| Minimal value of components of Shift.
double | MaximumValue`[get, set]`
| Maximal value of components of Shift.
double | Increment`[get, set]`
| Increment for text controls for components of Shift.
## Events
EventHandler | ValueChanged
| Event that occurs when the value of window position (or shift, size, relative position, etc.) kept by this control changes.
## Private Member Functions
void | txtWindowShiftRelX_Validated (object sender, EventArgs e)
void | txtWindowShiftRelY_Validated (object sender, EventArgs e)
void | txtWindowShiftRelX_Enter (object sender, EventArgs e)
void | txtWindowShiftRelY_Enter (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
System.Windows.Forms.GroupBox | pnlOuter
System.Windows.Forms.Label | lblWindowRelY
System.Windows.Forms.Label | lblWindowShiftRelX
System.Windows.Forms.TextBox | txtWindowShiftRelX
System.Windows.Forms.TextBox | txtWindowShiftRelY

## Detailed Description

Control for setting window positions, relative positions, sizes, positions, shifts, etc.

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Forms::WindowShiftControlText::WindowShiftControlText | ( |  | ) | `[inline]`

## Member Function Documentation

void IG::Forms::WindowShiftControlText::OnValueChanged | ( | object | sender,
|  | EventArgs | eventArgs
| ) |  | `[inline, protected]`

Triggers the ValueChanged event.

void IG::Forms::WindowShiftControlText::txtWindowShiftRelX_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::WindowShiftControlText::txtWindowShiftRelY_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::WindowShiftControlText::txtWindowShiftRelX_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::WindowShiftControlText::txtWindowShiftRelY_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

override void IG::Forms::WindowShiftControlText::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Forms::WindowShiftControlText::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

vec2 IG::Forms::WindowShiftControlText::_shift = new vec2(0.0, 0.0)`[protected]`

double IG::Forms::WindowShiftControlText::_initialValueX`[protected]`

double IG::Forms::WindowShiftControlText::_initialValueY`[protected]`

double IG::Forms::WindowShiftControlText::_minValue`[protected]`

double IG::Forms::WindowShiftControlText::_maxValue`[protected]`

double IG::Forms::WindowShiftControlText::_increment`[protected]`

System.ComponentModel.IContainer IG::Forms::WindowShiftControlText::components = null`[private]`

Required designer variable.

System.Windows.Forms.GroupBox IG::Forms::WindowShiftControlText::pnlOuter`[private]`

System.Windows.Forms.Label IG::Forms::WindowShiftControlText::lblWindowRelY`[private]`

System.Windows.Forms.Label IG::Forms::WindowShiftControlText::lblWindowShiftRelX`[private]`

System.Windows.Forms.TextBox IG::Forms::WindowShiftControlText::txtWindowShiftRelX`[private]`

System.Windows.Forms.TextBox IG::Forms::WindowShiftControlText::txtWindowShiftRelY`[private]`

## Property Documentation

string IG::Forms::WindowShiftControlText::Title`[get, set]`

Title text that is written on the outer group box.

vec2 IG::Forms::WindowShiftControlText::Shift`[get, set]`

Gets or sets the resulting shift stored in 2D vector structure of type vec2

double IG::Forms::WindowShiftControlText::InitialValueX`[get, set]`

Initial value of the first component of Shift.

double IG::Forms::WindowShiftControlText::InitialValueY`[get, set]`

Initial value of the second component of Shift.

double IG::Forms::WindowShiftControlText::MinimumValue`[get, set]`

Minimal value of components of Shift.

double IG::Forms::WindowShiftControlText::MaximumValue`[get, set]`

Maximal value of components of Shift.

double IG::Forms::WindowShiftControlText::Increment`[get, set]`

Increment for text controls for components of Shift.

## Event Documentation

EventHandler IG::Forms::WindowShiftControlText::ValueChanged

Event that occurs when the value of window position (or shift, size, relative position, etc.) kept by this control changes.

The documentation for this class was generated from the following files:

- ShiftControlText.cs
- ShiftControlText.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events